### Enumeration

# AppStream UrgencyKind

#### Declaration

    enum AppStream.UrgencyKind

#### Description [src]

The urgency of an `AsRelease`.

#### Members

`AS_URGENCY_KIND_UNKNOWN`

  Urgency is unknown or not set.

  - Value: `0`
  - Available since: 1.0
`AS_URGENCY_KIND_LOW`

  Low urgency.

  - Value: `1`
  - Available since: 1.0
`AS_URGENCY_KIND_MEDIUM`

  Medium urgency.

  - Value: `2`
  - Available since: 1.0
`AS_URGENCY_KIND_HIGH`

  High urgency.

  - Value: `3`
  - Available since: 1.0
`AS_URGENCY_KIND_CRITICAL`

  Critical urgency.

  - Value: `4`
  - Available since: 1.0

#### Type functions

###### as_urgency_kind_from_string

Converts the text representation to an enumerated value.

since: 0.6.5

###### as_urgency_kind_to_string

Converts the enumerated value to an text representation.

since: 0.6.5